<?php

namespace App\Http\Resources;

use App\Models\CommissionSlab;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin CommissionSlab */
class CommissionSlabResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,

            'min_amount' => $this->min_amount,
            'max_amount' => $this->max_amount,
            'label' => $this->label,
            'trail_commission' => $this->trail_commission,

            // timestamps
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
