<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ClientNominee extends Model
{
    use HasFactory;

    protected $fillable = [
        'client_id',

        'name',
        'email',
        'mobile_no',
        'relation',
        'percentage_allocation',
    ];

    public function client(): BelongsTo {
        return $this->belongsTo(Lead::class, 'client_id');
    }
}
