<?php

namespace Database\Factories;

use App\Models\ClientNominee;
use Illuminate\Database\Eloquent\Factories\Factory;

class ClientNomineeFactory extends Factory
{
    protected $model = ClientNominee::class;

    public function definition(): array {
        return [
            'name' => $this->faker->name(),
            'email' => $this->faker->unique()->safeEmail(),
            'mobile_no' => $this->faker->phoneNumber(),
            // 'relation' => $this->faker->word(),
            // 'percentage_allocation' => $this->faker->word(),
        ];
    }
}
