<?php

namespace Database\Factories;

use App\Models\DailyUpdate;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class DailyUpdateFactory extends Factory
{
    protected $model = DailyUpdate::class;

    public function definition(): array {
        return [
            'name' => $this->faker->name(),
            'date' => Carbon::now(),
            'amount' => $this->faker->randomNumber(),
        ];
    }
}
