<?php

namespace Database\Factories;

use App\Models\FollowUp;
use Illuminate\Database\Eloquent\Factories\Factory;

class FollowUpFactory extends Factory
{
    protected $model = FollowUp::class;

    public function definition(): array {
        return [
            'connected_with' => $this->faker->name,
            'title' => $this->faker->title,
            'summery' => $this->faker->paragraph(2),
            // 'status' => $this->faker->randomElement(array_column(FollowUpStatus::cases(), "value"))
        ];
    }
}
