<?php

namespace Database\Factories;

use App\Models\ClientInvestment;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class ClientInvestmentFactory extends Factory
{
    protected $model = ClientInvestment::class;

    public function definition(): array {
        return [
            'investment_amount' => $this->faker->randomNumber(),
            'date' => Carbon::now()
        ];
    }
}
