<?php

namespace Database\Factories;

use App\Models\CommissionSlab;
use Illuminate\Database\Eloquent\Factories\Factory;

class CommissionSlabFactory extends Factory
{
    protected $model = CommissionSlab::class;

    public function definition(): array {
        return [
            'min_amount' => $this->faker->randomNumber(),
            'max_amount' => $this->faker->randomNumber(),
            'trail_commission' => $this->faker->randomFloat(),
        ];
    }
}
