<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('client_investments', function (Blueprint $table) {
            $table->id();

            $table->foreignId('client_id')->constrained('leads')->cascadeOnDelete();

            $table->unsignedInteger('investment_amount');
            $table->date('date');

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('client_investments');
    }
};
