<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('commission_slabs', function (Blueprint $table) {
            $table->id();

            $table->unsignedInteger('min_amount');
            $table->unsignedInteger('max_amount')->nullable();
            $table->string("label", 50)->nullable();
            $table->decimal('trail_commission');

            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('commission_slabs');
    }
};
